# Retrieve a contact snapshot Retrieves detailed information about the snapshot of a contact, either a bill-to contact or sold-to contact. Endpoint: GET /v1/contact-snapshots/{contact-snapshot-id} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Query parameters: - `page` (integer) The index number of the page that you want to retrieve. This parameter is dependent on pageSize. You must set pageSize before specifying page. For example, if you set pageSize to 20 and page to 2, the 21st to 40th records are returned in the response. - `pageSize` (integer) The number of records returned per page in the response. ## Path parameters: - `contact-snapshot-id` (string, required) The unique ID of the contact snapshot to be retrieved. For example, 2c92c8955bd63cc1015bd7c151af02ab. ## Response 200 fields (application/json): - `address1` (string) The first line for the address of the contact, which is often a street address or business name. - `address2` (string) The second line for the address of the contact, which is mostly the locality. - `asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management. - `city` (string) The city for the address of the contact. - `contactId` (string) The Zuora ID of the contact who the snapshot belongs to. - `country` (string,null) The country for the address of the contact. - `county` (string) The county for the address of the contact. The field value might optionally be used by Zuora Tax to calculate county tax. - `description` (string) A description of the contact. - `fax` (string) The fax number of the contact. - `firstName` (string) The first name of the contact. - `homePhone` (string) The home phone number of the contact. - `id` (string) The unique ID of the contact snapshot. - `lastName` (string) The last name of the contact. - `mobilePhone` (string) The mobile phone number of the contact. - `nickname` (string) A nickname for the contact. - `otherPhone` (string) An additional phone number for the contact. - `otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `personalEmail` (string) The personal email address of the contact. - `postalCode` (string) The postal code for the address of the contact. - `state` (string) The state or province for the address of the contact. - `taxRegion` (string) If using Zuora Tax rules. - `workEmail` (string) The business email address of the contact. - `workPhone` (string) The business email address of the contact. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.